// SPDX-License-Identifier: GPL-3.0-or-later
// Syscall name table (const char *[])
// This file was generated by scripts/gen_syscall.py

#pragma once

#include <mos/filesystem/fs_types.h>
#include <mos/io/io_types.h>
#include <mos/mos_global.h>
#include <mos/tasks/signal_types.h>
#include <mos/types.h>
#include <sys/poll.h>
#include <sys/select.h>
#include <sys/uio.h>

// syscall name table
#include <mos/syscall/decl.h>
#include <mos/syscall/number.h>

static const char *syscall_names[] = {
    [SYSCALL_vfs_openat] = "vfs_openat",
    [SYSCALL_vfs_fstatat] = "vfs_fstatat",
    [SYSCALL_io_read] = "io_read",
    [SYSCALL_io_write] = "io_write",
    [SYSCALL_io_close] = "io_close",
    [SYSCALL_exit] = "exit",
    [SYSCALL_yield_cpu] = "yield_cpu",
    [SYSCALL_fork] = "fork",
    [SYSCALL_get_pid] = "get_pid",
    [SYSCALL_get_parent_pid] = "get_parent_pid",
    [SYSCALL_spawn] = "spawn",
    [SYSCALL_create_thread] = "create_thread",
    [SYSCALL_get_tid] = "get_tid",
    [SYSCALL_thread_exit] = "thread_exit",
    [SYSCALL_wait_for_thread] = "wait_for_thread",
    [SYSCALL_futex_wait] = "futex_wait",
    [SYSCALL_futex_wake] = "futex_wake",
    [SYSCALL_ipc_create] = "ipc_create",
    [SYSCALL_ipc_accept] = "ipc_accept",
    [SYSCALL_ipc_connect] = "ipc_connect",
    [SYSCALL_arch_syscall] = "arch_syscall",
    [SYSCALL_vfs_mount] = "vfs_mount",
    [SYSCALL_vfs_readlinkat] = "vfs_readlinkat",
    [SYSCALL_vfs_unlinkat] = "vfs_unlinkat",
    [SYSCALL_vfs_symlink] = "vfs_symlink",
    [SYSCALL_vfs_mkdir] = "vfs_mkdir",
    [SYSCALL_vfs_list_dir] = "vfs_list_dir",
    [SYSCALL_fd_manipulate] = "fd_manipulate",
    [SYSCALL_mmap_anonymous] = "mmap_anonymous",
    [SYSCALL_mmap_file] = "mmap_file",
    [SYSCALL_wait_for_process] = "wait_for_process",
    [SYSCALL_munmap] = "munmap",
    [SYSCALL_vfs_chdirat] = "vfs_chdirat",
    [SYSCALL_vfs_getcwd] = "vfs_getcwd",
    [SYSCALL_io_seek] = "io_seek",
    [SYSCALL_io_tell] = "io_tell",
    [SYSCALL_signal_register] = "signal_register",
    [SYSCALL_signal_process] = "signal_process",
    [SYSCALL_signal_thread] = "signal_thread",
    [SYSCALL_poweroff] = "poweroff",
    [SYSCALL_signal_return] = "signal_return",
    [SYSCALL_vm_protect] = "vm_protect",
    [SYSCALL_io_poll] = "io_poll",
    [SYSCALL_io_pselect] = "io_pselect",
    [SYSCALL_execveat] = "execveat",
    [SYSCALL_clock_msleep] = "clock_msleep",
    [SYSCALL_io_dup] = "io_dup",
    [SYSCALL_io_dup2] = "io_dup2",
    [SYSCALL_dmabuf_alloc] = "dmabuf_alloc",
    [SYSCALL_dmabuf_free] = "dmabuf_free",
    [SYSCALL_dmabuf_share] = "dmabuf_share",
    [SYSCALL_dmabuf_unshare] = "dmabuf_unshare",
    [SYSCALL_pipe] = "pipe",
    [SYSCALL_io_readv] = "io_readv",
    [SYSCALL_vfs_unmount] = "vfs_unmount",
    [SYSCALL_clock_gettimeofday] = "clock_gettimeofday",
    [SYSCALL_thread_setname] = "thread_setname",
    [SYSCALL_thread_getname] = "thread_getname",
    [SYSCALL_vfs_fchmodat] = "vfs_fchmodat",
    [SYSCALL_io_pread] = "io_pread",
    [SYSCALL_memfd_create] = "memfd_create",
    [SYSCALL_signal_mask_op] = "signal_mask_op",
    [SYSCALL_vfs_fsync] = "vfs_fsync",
};
